getepisodedata: Get episode data

API: gdacs.org:gdacs-api
Endpoint: /events/getepisodedata
Response format: application/json
Charset: utf-8
Auth: none
Method: GET
Last Status: 200
Latency: 358ms

Description

Retrieve data for a specific episode of an event (e.g., aftershocks, storm updates).

Parameters (3)

episodeid (integer, query, required)

Episode identifier

eventid (integer, query, required)

Event identifier

eventtype (string, query, required)

Event type code

Constraints: {'enum': ['EQ', 'TC', 'FL', 'VO', 'DR', 'WF']}

Examples (1)

Get episode data openapi-spec
curl 'https://www.gdacs.org/gdacsapi/api/events/getepisodedata?eventtype=EQ&eventid=1528843&episodeid=1692737'
import requests

resp = requests.get(
    "https://www.gdacs.org/gdacsapi/api/events/getepisodedata",
    params={
        'eventtype': 'EQ',
        'eventid': '1528843',
        'episodeid': '1692737',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("gdacs")
result = api.fetch("events/getepisodedata", eventtype="EQ", eventid=1528843, episodeid=1692737)

for item in result:
    print(item)
const resp = await fetch("https://www.gdacs.org/gdacsapi/api/events/getepisodedata?eventtype=EQ&eventid=1528843&episodeid=1692737");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 02:37:51.373427 200 358ms
2026-04-15 02:54:30.281005 200 349ms
2026-04-14 00:28:25.391667 200 490ms
2026-04-12 14:23:04.445500 200 707ms
2026-04-10 04:34:14.227894 200 196ms
2026-04-09 00:31:51.396333 ERR
2026-04-08 07:44:48.984109 200 289ms
2026-04-07 00:39:26.880193 200 524ms
2026-04-06 06:35:25.601266 200 276ms
2026-04-05 14:52:53.556048 200 380ms
2026-04-05 01:38:15.735253 200 329ms
2026-04-04 02:18:18.396134 200 338ms
2026-04-03 12:49:35.761960 200 290ms
2026-03-30 02:54:21.582568 200 283ms
2026-03-29 13:27:10.865209 200 368ms
2026-03-23 10:30:25.062227 200 305ms